Package org.flowable.cmmn.api.repository

# Interface CaseDefinition

public interface CaseDefinition

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  category name which is derived from the targetNamespace attribute in the definitions element
  `String`
  `getDeploymentId()`
  The deployment in which this case definition is contained.
  `String`
  `getDescription()`
  description of this case definition
  `String`
  `getDiagramResourceName()`
  The resource name in the deployment of the diagram image (if any).
  `String`
  `getId()`
  unique identifier
  `String`
  `getKey()`
  unique name for all versions of this case definition
  `String`
  `getName()`
  label used for display purposes
  `String`
  `getResourceName()`
  name of `the resource` of this case definition.
  `String`
  `getTenantId()`
  The tenant identifier of this case definition
  `int`
  `getVersion()`
  version of this case definition
  `boolean`
  `hasGraphicalNotation()`
  Does this case definition have a graphical notation defined (such that a diagram can be generated)?
  `boolean`
  `hasStartFormKey()`
  Does this case definition have a start form key}.
  `void`
  `setLocalizedDescription(String localizedDescription)`
  Sets an optional localized description for the case definition
  `void`
  `setLocalizedName(String localizedName)`
  Sets an optional localized name for the case definition.

- ## Method Details

  - ### getId

    String getId()
    unique identifier

  - ### getCategory

    String getCategory()
    category name which is derived from the targetNamespace attribute in the definitions element

  - ### getName

    String getName()
    label used for display purposes

  - ### getKey

    String getKey()
    unique name for all versions of this case definition

  - ### getDescription

    String getDescription()
    description of this case definition

  - ### getVersion

    int getVersion()
    version of this case definition

  - ### getResourceName

    String getResourceName()
    name of `the resource` of this case definition.

  - ### getDeploymentId

    String getDeploymentId()
    The deployment in which this case definition is contained.

  - ### getDiagramResourceName

    String getDiagramResourceName()
    The resource name in the deployment of the diagram image (if any).

  - ### hasStartFormKey

    boolean hasStartFormKey()
    Does this case definition have a start form key}.

  - ### hasGraphicalNotation

    boolean hasGraphicalNotation()
    Does this case definition have a graphical notation defined (such that a diagram can be generated)?

  - ### getTenantId

    String getTenantId()
    The tenant identifier of this case definition

  - ### setLocalizedName

    void setLocalizedName(String localizedName)
    Sets an optional localized name for the case definition.

  - ### setLocalizedDescription

    void setLocalizedDescription(String localizedDescription)
    Sets an optional localized description for the case definition